This is a Python client for the Cumulocity Data API. The GearAPI package is a wrapper to simplify GET requests and JSON response parsing from the Measurement and Event Resources. 

This library abstracts:
1. API endpoint handling
2. pagnation handling
3. API retry
4. file handling
5. Handling API from multiple devices 

## how to use

2. `pip install G`


```
import Client

client = Client(
    USER = <IoT Platform User Name>
    PASSWORD = <IoT Platform User Password>
    BASE_URL = "https://thegear.jp.cumulocity.com"
    TENANT_ID = "t21092648"
)

date_start = "2024-01-01"
date_end = "2024-01-02"
device_params = {
    "devicetype": "iaq"
}
output_path = "output.csv"

client.download(
    date_start, 
    date_end, 
    output_path = output_path, 
    device_params = device_params)

"""
output: all the iaq devices data from 2024-01-01 to 2024-01-02
"""
```
